org.python.core

## Class PyBaseException

- java.lang.Object
- - org.python.core.PyObject
  - - org.python.core.PyBaseException

All Implemented Interfaces:
  java.io.Serializable

Direct Known Subclasses:
  PyBaseExceptionDerived

    public class PyBaseException
    extends PyObject

The base class for all standard Python exceptions.

See Also:
  Serialized Form

### Nested Class Summary

### Nested classes/interfaces inherited from class org.python.core.PyObject

`PyObject.ConversionException`

### Field Summary

Fields
`PyObject` `__dict__` Exception's underlying dictionary, lazily created.
`PyObject` `args` Exception's arguments.
`PyObject` `message` Exception message.
`static PyType` `TYPE`

### Constructor Summary

Constructors
Constructor and Description
`PyBaseException()`
`PyBaseException(PyType subType)`

### Method Summary

All Methods Instance Methods Concrete Methods
`PyObject` `__findattr_ex__(java.lang.String name)` Attribute lookup hook.
`PyObject` `__getitem__(PyObject index)` Equivalent to the standard Python __getitem__ method.
`PyObject` `__getslice__(PyObject start, PyObject stop)`
`void` `__init__(PyObject[] args, java.lang.String[] keywords)`
`PyObject` `__reduce__()` Used for pickling.
`void` `__setattr__(java.lang.String name, PyObject value)` A variant of the __setattr__ method which accepts a String as the key.
`PyObject` `__setstate__(PyObject state)`
`PyString` `__str__()` Equivalent to the standard Python __str__ method.
`void` `delMessage()`
`PyObject` `fastGetDict()` xxx implements where meaningful
`PyObject` `getDict()` xxx implements where meaningful
`void` `setArgs(PyObject val)`
`void` `setDict(PyObject val)`
`java.lang.String` `toString()`

### Methods inherited from class org.python.core.PyObject

`__abs__, __add__, __and__, __call__, __call__, __call__, __call__, __call__, __call__, __call__, __call__, __call__, __call__, __call__, __call__, __call__, __call__, __call__, __call__, __cmp__, __coerce__, __coerce_ex__, __complex__, __contains__, __delattr__, __delattr__, __delete__, __delitem__, __delitem__, __delslice__, __delslice__, __dir__, __div__, __divmod__, __eq__, __findattr__, __findattr__, __finditem__, __finditem__, __finditem__, __float__, __floordiv__, __ge__, __get__, __getattr__, __getattr__, __getitem__, __getnewargs__, __getslice__, __gt__, __hash__, __hex__, __iadd__, __iand__, __idiv__, __idivmod__, __ifloordiv__, __ilshift__, __imod__, __imul__, __index__, __int__, __invert__, __ior__, __ipow__, __irshift__, __isub__, __iter__, __iternext__, __itruediv__, __ixor__, __le__, __len__, __long__, __lshift__, __lt__, __mod__, __mul__, __ne__, __neg__, __nonzero__, __not__, __oct__, __or__, __pos__, __pow__, __pow__, __radd__, __rand__, __rdiv__, __rdivmod__, __reduce_ex__, __reduce_ex__, __repr__, __rfloordiv__, __rlshift__, __rmod__, __rmul__, __ror__, __rpow__, __rrshift__, __rshift__, __rsub__, __rtruediv__, __rxor__, __set__, __setattr__, __setitem__, __setitem__, __setitem__, __setslice__, __setslice__, __sub__, __tojava__, __truediv__, __unicode__, __xor__, _add, _and, _callextra, _cmp, _div, _divmod, _doget, _doget, _doset, _eq, _floordiv, _ge, _gt, _iadd, _iand, _idiv, _idivmod, _ifloordiv, _ilshift, _imod, _imul, _in, _ior, _ipow, _irshift, _is, _isnot, _isub, _itruediv, _ixor, _jcall, _jcallexc, _jthrow, _le, _lshift, _lt, _mod, _mul, _ne, _notin, _or, _pow, _rshift, _sub, _truediv, _xor, asDouble, asIndex, asIndex, asInt, asInt, asIterable, asLong, asLong, asName, asName, asString, asString, asStringOrNull, asStringOrNull, delDict, delType, dispatch__init__, equals, fastGetClass, getType, hashCode, implementsDescrDelete, implementsDescrGet, implementsDescrSet, invoke, invoke, invoke, invoke, invoke, invoke, isCallable, isDataDescr, isIndex, isMappingType, isNumberType, isSequenceType, noAttributeError, readonlyAttributeError, setType`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Field Detail

#### TYPE

    public static final PyType TYPE

#### message

    public PyObject message

Exception message.

#### args

    public PyObject args

Exception's arguments.

#### __dict__

    public PyObject __dict__

Exception's underlying dictionary, lazily created.

### Constructor Detail

#### PyBaseException

    public PyBaseException()

#### PyBaseException

    public PyBaseException(PyType subType)

### Method Detail

#### __init__

    public void __init__(PyObject[] args,
                         java.lang.String[] keywords)

#### __getitem__

    public PyObject __getitem__(PyObject index)

Description copied from class: `PyObject`
Equivalent to the standard Python __getitem__ method. This method should not be overridden. Override the `__finditem__` method instead.

Overrides:
  `__getitem__` in class `PyObject`
Parameters:
  `index` - the key to lookup in this container.
Returns:
  the value corresponding to that key.
See Also:
  `PyObject.__finditem__(PyObject)`

#### __getslice__

    public PyObject __getslice__(PyObject start,
                                 PyObject stop)

Overrides:
  `__getslice__` in class `PyObject`

#### __reduce__

    public PyObject __reduce__()

Description copied from class: `PyObject`
Used for pickling. Default implementation calls object___reduce__.

Overrides:
  `__reduce__` in class `PyObject`
Returns:
  a tuple of (class, tuple)

#### __setstate__

    public PyObject __setstate__(PyObject state)

#### __findattr_ex__

    public PyObject __findattr_ex__(java.lang.String name)

Description copied from class: `PyObject`
Attribute lookup hook. If the attribute is not found, null may be returned or a Py.AttributeError can be thrown, whatever is more correct, efficient and/or convenient for the implementing class. Client code should use `PyObject.__getattr__(String)` or `PyObject.__findattr__(String)`. Both methods have a clear policy for failed lookups.

Overrides:
  `__findattr_ex__` in class `PyObject`
Returns:
  The looked up value. May return null if the attribute is not found

#### __setattr__

    public void __setattr__(java.lang.String name,
                            PyObject value)

Description copied from class: `PyObject`
A variant of the __setattr__ method which accepts a String as the key. This String must be interned.

Overrides:
  `__setattr__` in class `PyObject`
Parameters:
  `name` - the name whose value will be set - must be an interned string .
  `value` - the value to set this name to
See Also:
  `PyObject.__setattr__(PyString, PyObject)`

#### fastGetDict

    public PyObject fastGetDict()

Description copied from class: `PyObject`
xxx implements where meaningful

Overrides:
  `fastGetDict` in class `PyObject`
Returns:
  internal object per instance dict or null

#### getDict

    public PyObject getDict()

Description copied from class: `PyObject`
xxx implements where meaningful

Overrides:
  `getDict` in class `PyObject`
Returns:
  internal object __dict__ or null

#### setDict

    public void setDict(PyObject val)

Overrides:
  `setDict` in class `PyObject`

#### __str__

    public PyString __str__()

Description copied from class: `PyObject`
Equivalent to the standard Python __str__ method. This method should not typically need to be overridden. The easiest way to configure the string representation of a `PyObject` is to override the standard Java `toString` method.

Overrides:
  `__str__` in class `PyObject`

#### toString

    public java.lang.String toString()

Overrides:
  `toString` in class `PyObject`

#### setArgs

    public void setArgs(PyObject val)

#### delMessage

    public void delMessage()